WoMax Documentation

# t_OMax_state2date Struct Reference
[Max5 Externals, Data Sequence structure]

OMax.state2date external. More...

Collaboration diagram for t_OMax_state2date:
[legend]

List of all members.

## Public Attributes
t_object | ob
| Pointer to the object itself.
t_symbol * | oname
| Pointer to FO name.
t_symbol * | dataname
| Pointer to Data Sequence name.
bool | obound
| Binding flag.
O_DataType | datatype
| Type of data.
O_data * | data
| Pointer to Data Sequence structure.
void * | out_enddate
| Outlet 0 (leftmost): ending date.
void * | out_begindate
| Outlet 1: starting date.
## Standard Max5 methodes
void * | OMax_state2date_new (t_symbol *s, long argc, t_atom *argv)
| Object instantiation.
void | OMax_state2date_free (t_OMax_state2date *x)
| Object destruction.
void | OMax_state2date_assist (t_OMax_state2date *x, void *b, long io, long index, char *s)
| Inlet/Outlet contextual information when patching in Max5.
## Internal routines
t_symbol * | OMax_state2date_name (t_symbol *oname)
| Return Data Sequence name from FO name.
bool | OMax_state2date_bind (t_OMax_state2date *x)
| Bind the date reader with Data Structure.
## Input/Output routines
void | OMax_state2date_do (t_OMax_state2date *x, long statnb)
| Output the starting and ending date of the given state.
void | OMax_state2date_setname (t_OMax_state2date *x, t_symbol *s)
| Changes the OMax.data object to read dates/states from.

## Detailed Description

OMax.state2date external.

This external returns the starting and ending dates (in ms, Data Sequence domain) of a given state (FO domain) in Max5

Definition at line 30 of file OMax.state2date.c.

## Member Function Documentation

bool OMax_state2date_bind | ( | t_OMax_state2date * | x | ) |

Bind the date reader with Data Structure.

Remarks:
  Do this binding only once

Check if `name_data` points to an existing OMax.data object. If so, set t_OMax_date2state::data to point to the Data Sequence structure (t_OMax_data::data member)

Remarks:
  Sets data type too

Definition at line 174 of file OMax.state2date.c.

Here is the call graph for this function:

void OMax_state2date_do | ( | t_OMax_state2date * | x,
|  | long | statnb |
| ) |  |  |

Output the starting and ending date of the given state.

Remarks:
  Input message in Max5: a state number (`int`)

Definition at line 205 of file OMax.state2date.c.

Here is the call graph for this function:

t_symbol * OMax_state2date_name | ( | t_symbol * | oname | ) |

Return Data Sequence name from FO name.

Append `_data` to the FO name

Definition at line 163 of file OMax.state2date.c.

void * OMax_state2date_new | ( | t_symbol * | s,
|  | long | argc,
|  | t_atom * | argv |
| ) |  |  |

Object instantiation.

Check first argument of the Max5 object for a FO name

Definition at line 94 of file OMax.state2date.c.

void OMax_state2date_setname | ( | t_OMax_state2date * | x,
|  | t_symbol * | s |
| ) |  |  |

Changes the OMax.data object to read dates/states from.

Remarks:
  Input message in Max5: `set` followed by the name of an existing 0Max.data object to read

Definition at line 237 of file OMax.state2date.c.

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- OMax.state2date.c